#include <bits/stdc++.h>
#include "testlib.h"

using namespace std;

int main(int argc, char** argv) {
  registerGen(argc, argv, 1);
  int t = opt<int>("t");
  int minn = opt<int>("minn");
  int maxn = opt<int>("maxn");
  int mina = opt<int>("mina");
  int maxa = opt<int>("maxa");
  cout << t << "\n";
  auto ns = rnd.partition(t, maxn, minn);
  for (int it = 0; it < t; ++it) {
    int n = ns[it];
    cout << n << "\n";
    for (int i = 0; i < n; ++i) {
      cout << rnd.next(mina, maxa) << " \n"[i + 1 == n];
    }  
  }
  return 0;
}
